<?php

namespace VerillaGangWp;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
class Helpers {

	public static function initiate_click_id() {
		if ( empty( $_SERVER['QUERY_STRING'] ) ) {
			return;
		}

		parse_str( $_SERVER['QUERY_STRING'], $parameters );

		if ( isset( $parameters['click_id'] ) ) {
			$_SESSION['verilla_click_id']     = $parameters['click_id'];
			$_SESSION['verilla_query_params'] = $parameters;

			$expires = time() + 30 * 24 * 60 * 60;

			setcookie( 'verilla_click_id', $parameters['click_id'], $expires, '/' );
			setcookie( 'verilla_query_params', json_encode( $parameters ), $expires, '/' );
		}
	}

}