<?php

namespace VerillaGangWp;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Menu {
	public function create_menu() {
		$page_title  = 'Verilla Gang WP';
		$menu_title  = 'Verilla Gang WP';
		$permissions = 'manage_options'; // Only Users that can manage options / Admins
		$menu_slug   = 'verilla-gang-wp';
		$menu_icon   = 'dashicons-chart-pie';

		add_menu_page(
			$page_title,
			$menu_title,
			$permissions,
			$menu_slug,
			array( $this, 'menu_page' ),
			$menu_icon
		);
	}

	public function menu_page() {
		global $wpdb;

		$table   = $wpdb->prefix . Database::get_conversion_table_name();
		$results = $wpdb->get_results( "SELECT * FROM {$table}" );

		$table = new Conversions_Table();
		$table->prepare_items();

		require_once __DIR__ . '/resources/views/admin-menu.php';
	}
}